<?php

namespace Lc\CaracoleBundle\Repository\Product;

use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\SovBundle\Repository\AbstractStore;

class ProductCategoryStore extends AbstractStore
{
    use SectionStoreTrait;

    protected ProductCategoryRepositoryQuery $query;

    public function __construct(ProductCategoryRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getParents(){

        $query = $this->query->create();
        if($this->section) {
            $query->filterBySection($this->section);
        }
        $query->filterIsParent();
        return $query->find();
    }
}
